Subject: [sup-talk] crash in contact list

From: Philipp <[email-masked]>
Date: Fri, 25 Nov 2011 13:22:52 +0100

Hi there,
I get another crash when hitting m in my contact list. To me it looks
related to that crash I got rid of by deleting a lot of messages. Guess
I could delete another whole load of messages, but I'd rather have this
bug fixed. So, the exception seem to origin in the three-line method

find_docid:

  def find_docid id
    docids = term_docids(mkterm(:msgid,id))
    fail unless docids.size <= 1
    docids.first
  end

Does it happen due to docids.size being larger than 1 or could this
exception be raised by something else in there?

Alternatively, how can I find the message that causes this problem?

Regards,
Philipp

$ sup
[2011-11-25 13:15:19 +0100] ERROR: oh crap, an exception
----------------------------------------------------------------
I'm very sorry. It seems that an error occurred in Sup. Please
accept my sincere apologies. Please submit the contents of
/home/murks/.sup/exception-log.txt and a brief report of the
circumstances to http://masanjin.net/sup-bugs/ so that I might
address this problem. Thank you!

Sincerely,
William
----------------------------------------------------------------
--- RuntimeError from thread: main

/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/index.rb:551:in `find_docid'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/index.rb:556:in `find_doc'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/index.rb:566:in `get_entry'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/index.rb:196:in `block in build_message'
/usr/lib/ruby/1.9.1/monitor.rb:201:in `mon_synchronize'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/index.rb:575:in `synchronize'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/index.rb:196:in `build_message'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/index.rb:151:in `block (2 levels) in each_id_by_date'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/index.rb:231:in `call'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/index.rb:231:in `block in load_contacts'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/index.rb:151:in `block in each_id_by_date'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/index.rb:246:in `block in each_id'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/index.rb:246:in `each'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/index.rb:246:in `each_id'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/index.rb:151:in `each_id_by_date'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/index.rb:229:in `load_contacts'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/util.rb:609:in `method_missing'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/modes/contact-list-mode.rb:113:in `block in load'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/buffer.rb:741:in `say'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/util.rb:609:in `method_missing'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/modes/contact-list-mode.rb:112:in `load'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/modes/contact-list-mode.rb:64:in `load_more'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/mode.rb:59:in `handle_input'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/lib/sup/buffer.rb:277:in `handle_input'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/bin/sup:260:in `<module:Redwood>'
/usr/lib/ruby/gems/1.9.1/gems/sup-0.12.1/bin/sup:69:in `<top (required)>'
/usr/bin/sup:19:in `load'
/usr/bin/sup:19:in `<main>'

_______________________________________________
sup-talk mailing list
[email-masked]
http://rubyforge.org/mailman/listinfo/sup-talk